/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	LO Perception教材　QMWISeレスポンスデータ保持クラス
//			変更履歴
// 				2004.01.08 新規作成		suzuki
//
package jp.co.ntt.lms.lo.Perception;

/**
 * LO Perception教材　QMWISe(結果一覧)レスポンスデータ保持クラスです。<BR>
 * 直列化のためにjava.io.Serializableインタフェースを実装します。
 * @author T.Suzuki
 * @version 0.0.0.1 2004/01/08
 */
public class PerceptionResponseResultData implements java.io.Serializable {

	/** 結果IDを保持します */
	private String mstrResultID = "";

	/** アセスメントIDを保持します */
	private String mstrAssessmentID = "";

	/** 満点を保持します */
	private String mstrMaxScore = "";

	/** 得点を保持します */
	private String mstrTotalScore = "";

	/** 滞在時間を保持します */
	private String mstrTimeTaken = "";

	/** 試験結果を保持します */
	private String mstrScoreBandTitle = "";

	/** 得点のパーセンテージを保持します */
	private String mstrPercentageScore = "";

	/** 開始年月日時を保持します */
	private String mstrWhenStarted = "";

	/** 終了年月日時を保持します */
	private String mstrWhenFinished = "";
	
	/** SOAP Faultを保持します */
	private String mstrFault = "";

	/** SOAP Fault内容を保持します */
	private String mstrFaultDescription = "";

	/**
	 *  結果IDを設定します
	 */
	public void setResultID( String strResultID ) {
		mstrResultID = strResultID;
	}

	/**
	 * 結果IDを取得します
	 */
	public String getResultID() {
		return mstrResultID;
	}

	/**
	 * アセスメントIDを設定します
	 */
	public void setAssessmentID( String strAssessmentID ) {
		mstrAssessmentID = strAssessmentID;
	}

	/**
	 * アセスメントIDを取得します
	 */
	public String getAssessmentID() {
		return mstrAssessmentID;
	}

	/**
	 * 満点を設定します
	 */
	public void setMaxScore( String strMaxScore ) {
		mstrMaxScore = strMaxScore;
	}

	/**
	 * 満点を取得します
	 */
	public String getMaxScore() {
		return mstrMaxScore;
	}

	/**
	 * 得点を設定します
	 */
	public void setTotalScore( String strTotalScore ) {
		mstrTotalScore = strTotalScore;
	}

	/**
	 * 得点を取得します
	 */
	public String getTotalScore() {
		return mstrTotalScore;
	}

	/**
	 * 滞在時間を設定します
	 */
	public void setTimeTaken( String strTimeTaken ) {
		mstrTimeTaken = strTimeTaken;
	}

	/**
	 * 滞在時間を取得します
	 */
	public String getTimeTaken() {
		return mstrTimeTaken;
	}

	/**
	 * 試験結果を設定します
	 */
	public void setScoreBandTitle( String strScoreBandTitle ) {
		mstrScoreBandTitle = strScoreBandTitle;
	}

	/**
	 * 試験結果を取得します
	 */
	public String getScoreBandTitle() {
		return mstrScoreBandTitle;
	}

	/**
	 * 得点のパーセンテージを設定します
	 */
	public void setPercentageScore( String strPercentageScore ) {
		mstrPercentageScore = strPercentageScore;
	}

	/**
	 * 得点のパーセンテージを取得します
	 */
	public String getPercentageScore() {
		return mstrPercentageScore;
	}

	/**
	 * 開始年月日時を設定します
	 */
	public void setWhenStarted( String strWhenStarted ) {
		mstrWhenStarted = strWhenStarted;
	}

	/**
	 * 開始年月日時を取得します
	 */
	public String getWhenStarted() {
		return mstrWhenStarted;
	}

	/**
	 * 終了年月日時を設定します
	 */
	public void setWhenFinished( String strWhenFinished ) {
		mstrWhenFinished = strWhenFinished;
	}

	/**
	 * 終了年月日時を取得します
	 */
	public String getWhenFinished() {
		return mstrWhenFinished;
	}

	/**
	 * SOAP Fault各タグ名を設定します
	 */
	public void setFault( String strFault ) {
		mstrFault = strFault;
	}

	/**
	 * SOAP Fault各タグ名を取得します
	 */
	public String getFault() {
		return mstrFault;
	}

	/**
	 * SOAP Fault各タグ内容を設定します
	 */
	public void setFaultDescription( String strFaultDescription ) {
		mstrFaultDescription = strFaultDescription;
	}

	/**
	 * SOAP Fault各タグ内容を取得します
	 */
	public String getFaultDescription() {
		return mstrFaultDescription;
	}

}